package net.northking.cctp.executePlan.dto.planTask;

import net.northking.cctp.executePlan.constants.PlanConstant;

/**
 * 引用静态数据
 */

public class QuoteData {

    /**
     * 静态数据id
     */
    private String setId;

    /**
     * 单元格值
     */
    private String value;

    /**
     * 列名
     */
    private String column;

    /**
     * 行号
     */
    private int row;

    /**
     * 静态数据路径
     */
    private String tip;

    /**
     * 类型，默认为1，1-静态数据，2-模糊数据
     */
    private String type = PlanConstant.INPUT_SET_QUOTE_TYPE_STATIC;

    /**
     * 环境id
     */
    private String envId;

    public String getSetId() {
        return setId;
    }

    public void setSetId(String setId) {
        this.setId = setId;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getColumn() {
        return column;
    }

    public void setColumn(String column) {
        this.column = column;
    }

    public int getRow() {
        return row;
    }

    public void setRow(int row) {
        this.row = row;
    }

    public String getTip() {
        return tip;
    }

    public void setTip(String tip) {
        this.tip = tip;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
